be.ehealth.businessconnector.hub.session.impl

## Class HubServiceCompleteImplementationFactory

- java.lang.Object
- - be.ehealth.technicalconnector.session.ImplementationClassFactory
  - - be.ehealth.businessconnector.hub.session.impl.HubServiceCompleteImplementationFactory

-     public class HubServiceCompleteImplementationFactory
      extends ImplementationClassFactory

  Implementation of `ImplementationClassFactory` for `HubServiceComplete`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HubServiceCompleteImplementationFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, String... additionalParameters)`

    - ### Methods inherited from class be.ehealth.technicalconnector.session.ImplementationClassFactory

      `createImplementationClass`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HubServiceCompleteImplementationFactory

          public HubServiceCompleteImplementationFactory()

  - ### Method Detail

    - #### createImplementationClass

          public <T> T createImplementationClass(Class<T> clazz,
                                                 SessionValidator sessionValidator,
                                                 EhealthReplyValidator replyValidator,
                                                 String... additionalParameters)
                                          throws TechnicalConnectorException,
                                                 ConnectorException

      Overrides:
        `createImplementationClass` in class `ImplementationClassFactory`
      Throws:
        `TechnicalConnectorException`
        `ConnectorException`
      See Also:
        `be.ehealth.technicalconnector.session.ImplementationClassFactory#createImplementationClass(java.lang.Class, be.ehealth.technicalconnector.validator.SessionValidator, be.ehealth.technicalconnector.validator.EhealthReplyValidator)`

Connector Packaging PERSNURSE 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.